Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.dao
Class UncategorizedDataAccessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.UncategorizedDataAccessException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HibernateJdbcException, HibernateSystemException, JdoSystemException, JpaSystemException, SQLWarningException, TopLinkJdbcException, TopLinkSystemException, UncategorizedSQLException

    public abstract class UncategorizedDataAccessException

extends NonTransientDataAccessException

Normal superclass when we can't distinguish anything more specific than "something went wrong with the underlying resource": for example, a SQLException from JDBC we can't pinpoint more precisely.

Author:
  Rod Johnson
See Also:
  Serialized Form

Constructor Summary
`UncategorizedDataAccessException(String msg, Throwable cause)` Constructor for UncategorizedDataAccessException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UncategorizedDataAccessException

    public UncategorizedDataAccessException(String msg,
                                            Throwable cause)

  Constructor for UncategorizedDataAccessException.

  Parameters:
    `msg` - the detail message
    `cause` - the exception thrown by underlying data access API

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.